Bug 24177 - Internal Server error when clicking cash register (Report)
Summary: Internal Server error when clicking cash register (Report)
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Fines and fees (show other bugs)
Version: master
Hardware: All All
: P5 - low blocker (vote)
Assignee: Josef Moravec
QA Contact: Tomás Cohen Arazi
URL:
Keywords:
Depends on: 23805
Blocks:
  Show dependency treegraph
 
Reported: 2019-12-05 03:22 UTC by Govind Basedia
Modified: 2020-01-02 09:57 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.01


Attachments
error (78.05 KB, image/jpeg)
2019-12-05 03:22 UTC, Govind Basedia
Details
Bug 24177: Import Koha::Account::CreditTypes to cash_register_stats.pl (927 bytes, patch)
2019-12-10 08:00 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 24177: Import Koha::Account::CreditTypes to cash_register_stats.pl (1001 bytes, patch)
2019-12-10 14:02 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24177: Import Koha::Account::CreditTypes to cash_register_stats.pl (1.03 KB, patch)
2019-12-10 14:35 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 24177: (QA follow-up) Fix warning (1.17 KB, patch)
2019-12-10 14:45 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Govind Basedia 2019-12-05 03:22:43 UTC
Created attachment 96003 [details]
error
Comment 1 Katrin Fischer 2019-12-07 09:08:17 UTC
Confirmed on master - marking blocker as this breaks a major feature in our new stable release:

Can't locate object method "search" via package "Koha::Account::CreditTypes" (perhaps you forgot to load "Koha::Account::CreditTypes"?) at /home/vagrant/kohaclone/reports/cash_register_stats.pl line 61
Comment 2 Josef Moravec 2019-12-10 08:00:29 UTC
Created attachment 96132 [details] [review]
Bug 24177: Import Koha::Account::CreditTypes to cash_register_stats.pl

Test plan:
0) Do not apply the patch
1) Confirm the bug - go to Reports -> Cash register
--> You will see ISE
2) Apply the patch, and restart_all
3) Confirm the ISE is gone and you see the form for Cash register report
Comment 3 Jonathan Druart 2019-12-10 14:02:03 UTC
Created attachment 96157 [details] [review]
Bug 24177: Import Koha::Account::CreditTypes to cash_register_stats.pl

Test plan:
0) Do not apply the patch
1) Confirm the bug - go to Reports -> Cash register
--> You will see ISE
2) Apply the patch, and restart_all
3) Confirm the ISE is gone and you see the form for Cash register report

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Tomás Cohen Arazi 2019-12-10 14:35:06 UTC
Created attachment 96161 [details] [review]
Bug 24177: Import Koha::Account::CreditTypes to cash_register_stats.pl

Test plan:
0) Do not apply the patch
1) Confirm the bug - go to Reports -> Cash register
--> You will see ISE
2) Apply the patch, and restart_all
3) Confirm the ISE is gone and you see the form for Cash register report

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 5 Tomás Cohen Arazi 2019-12-10 14:45:00 UTC
Created attachment 96162 [details] [review]
Bug 24177: (QA follow-up) Fix warning

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 6 Martin Renvoize 2019-12-10 15:58:31 UTC
You beat me to it, yeay.. go team :).. It's been a day of that.. every bug on my list has been done just before I get to it :)
Comment 7 Martin Renvoize 2019-12-10 16:18:27 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 8 Joy Nelson 2019-12-19 21:40:47 UTC
Pushed to 19.11.01
Comment 9 Lucas Gass 2019-12-20 17:04:41 UTC
missing dependencies for 19.05.x, no backport
Comment 10 Govind Basedia 2019-12-31 08:13:45 UTC
Software error when clicking cash register 19.11.01
an't locate object method "search" via package "Koha::Account::CreditTypes" (perhaps you forgot to load "Koha::Account::CreditTypes"?) at /usr/share/koha/intranet/cgi-bin/reports/cash_register_stats.pl line 61.
Comment 11 Katrin Fischer 2019-12-31 09:21:17 UTC
I've just checked, the fix has been pushed to 19.11.01 - can you double check the version you have installed please? It's listed on the About page.

http://git.koha-community.org/gitweb/?p=koha.git;a=commit;h=81403f461278d41b107589fa261247b6e37f581a
Comment 12 Govind Basedia 2020-01-02 08:47:33 UTC
Dear sir
I am upgrade koha 19.11.00 to 19.11.01 but no upgrade your site.please check
Many time install koha common but version no change.


Koha version: 	19.11.00.000
OS version ('uname -a'): 	Linux koha-desktop 4.15.0-72-generic #81~16.04.1-Ubuntu SMP Tue Nov 26 16:30:00 UTC 2019 i686
Perl interpreter: 	/usr/bin/perl
Perl version: 	5.022001
Perl @INC: 	/usr/share/koha/lib
/usr/share/koha/installer
/usr/share/koha/lib/installer
/etc/perl
/usr/local/lib/i386-linux-gnu/perl/5.22.1
/usr/local/share/perl/5.22.1
/usr/lib/i386-linux-gnu/perl5/5.22
/usr/share/perl5
/usr/lib/i386-linux-gnu/perl/5.22
/usr/share/perl/5.22
/usr/local/lib/site_perl
/usr/lib/i386-linux-gnu/perl-base
.
/var/lib/koha/library/plugins
MySQL version: 	mysql Ver 14.14 Distrib 5.7.28, for Linux (i686) using EditLine wrapper
Apache version: 	Server version: Apache/2.4.18 (Ubuntu)
PSGI: 	Plack (deployment)
Memcached: 	Servers: 127.0.0.1:11211 | Namespace: koha_library | Status: running. | Config read from: koha-conf.xml
Zebra version: 	Zebra 2.0.59 (C) 1994-2014, Index Data Zebra is free software, covered by the GNU General Public License, and you are welcome to change it and/or distribute copies of it under certain conditions. SHA1 ID: c00bfddbf0f3608340d61298acc61dafb167f9b2 Using ICU
Date and time: 	12/31/2019 15:06
Time zone: 	Used: Asia/Kolkata | Config: Undefined | Environment (TZ): Undefined
Comment 13 Katrin Fischer 2020-01-02 08:51:08 UTC
(In reply to Govind Basedia from comment #12)
> Dear sir
> I am upgrade koha 19.11.00 to 19.11.01 but no upgrade your site.please check
> Many time install koha common but version no change.
> 

It's possible that the Debian packages have not been built yet - so actually your Koha version is still on 19.11.00 with the bug.
Comment 14 Govind Basedia 2020-01-02 09:27:16 UTC
koha@koha-V520-15IKL:~$ sudo apt-get install koha-common
[sudo] password for koha: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
koha-common is already the newest version (19.11.00-1).
The following packages were automatically installed and are no longer required:
  libncursesw5 libtinfo5
Use 'sudo apt autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
koha@koha-V520-15IKL:~$
Comment 15 Katrin Fischer 2020-01-02 09:57:51 UTC
(In reply to Govind Basedia from comment #14)
> koha@koha-V520-15IKL:~$ sudo apt-get install koha-common
> [sudo] password for koha: 
> Reading package lists... Done
> Building dependency tree       
> Reading state information... Done
> koha-common is already the newest version (19.11.00-1).
> The following packages were automatically installed and are no longer
> required:
>   libncursesw5 libtinfo5
> Use 'sudo apt autoremove' to remove them.
> 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
> koha@koha-V520-15IKL:~$

There are no packages for .01 yet, please try again in a few days.